Groups
Update, delete and list a specified Hardware Group.
Get all Groups for a Device
/hardware/v1/devices/{deviceId}/groups
Get all groups for a device.
Requires a bearer access token for this API with the Organization.HardwareGroups.Devices.Read permission. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/groups" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create a new hardware group
/hardware/v1/group
Create a new hardware group for an organization, with the given name and description.
Requires a bearer access token for this API with the Organization.HardwareGroups.Write permission. See Authentication.
Request body
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/group" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string" }'
List Hardware Groups
/hardware/v1/groups
Get all Hardware Groups scoped to a specific Organization.
Requires a bearer access token for this API with the Organization.HardwareGroups.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/groups" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get a Hardware Group
/hardware/v1/groups/{hardwareGroupId}
Get a Hardware Group by Id
Requires a bearer access token for this API with the Organization.HardwareGroups.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Patch a Hardware Group
/hardware/v1/groups/{hardwareGroupId}
Patch a Hardware Group scoped to a specific Organization.
Requires a bearer access token for this API with the Organization.HardwareGroups.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string" }'
Delete a Hardware Group
/hardware/v1/groups/{hardwareGroupId}
Delete a Hardware Group scoped to a specific Organization.
Requires a bearer access token for this API with the Organization.HardwareGroups.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List all Hubs in a Hardware Group
/hardware/v1/groups/{hardwareGroupId}/hubs
Get all Hubs associated with a Hardware Group.
Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Read permission. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/hubs" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Add a Hub to a Hardware Group
/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}
Add a Hub to a Hardware Group.
Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Write permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Remove a Hub from a Hardware Group
/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}
Remove a Hub from a Hardware Group.
Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Delete permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get all Groups for a Hub
/hardware/v1/hubs/{serialNumber}/groups
Get all groups for a hub.
Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Read permission. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/groups" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"